Debian Bug report logs - #567953
ufs: Cannot find list of partitions!

version graph

Package: os-prober; Maintainer for os-prober is Debian Install System Team <debian-boot@lists.debian.org>; Source for os-prober is src:os-prober.

Reported by: Alan BRASLAU <alan.braslau@cea.fr>

Date: Mon, 1 Feb 2010 13:33:01 UTC

Severity: normal

Fixed in version os-prober/1.40

Done: Colin Watson <cjwatson@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#567953; Package grub-pc. (Mon, 01 Feb 2010 13:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alan BRASLAU <alan.braslau@cea.fr>:
New Bug report received and forwarded. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Mon, 01 Feb 2010 13:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Alan BRASLAU <alan.braslau@cea.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ufs: Cannot find list of partitions!
Date: Mon, 01 Feb 2010 14:31:30 +0100
Package: grub-pc
Version: 1.98~20100128-1
Severity: normal


On kfreebsd-i386 using the ufs file system,
I get the following, worrysome error message:

$ sudo update-grub                                              
Generating grub.cfg ...                                                         
Found background image: moreblue-orbit-grub.png                                 
Found kernel of FreeBSD: /boot/kfreebsd-8.0-1-686.gz                            
Found kernel of FreeBSD: /boot/kfreebsd-7.2-1-686.gz                            
Found ACPI module: /lib/modules/7.2-1-686/acpi.ko                               
Cannot find list of partitions!                                                 
done                                                                            

Thanks,

Alan

-- Package-specific info:

*********************** BEGIN /proc/mounts
/dev/ad0s1 / ufs rw 0 0
/dev/ad1s1 /home/forth ufs rw 0 0
*********************** END /proc/mounts

*********************** BEGIN /boot/grub/device.map
(hd0)	/dev/ad0
(hd1)	/dev/ad1
*********************** END /boot/grub/device.map

*********************** BEGIN /boot/grub/grub.cfg
#
# DO NOT EDIT THIS FILE
#
# It is automatically generated by /usr/sbin/grub-mkconfig using templates
# from /etc/grub.d and settings from /etc/default/grub
#

### BEGIN /etc/grub.d/00_header ###
if [ -s $prefix/grubenv ]; then
  load_env
fi
set default="0"
if [ ${prev_saved_entry} ]; then
  set saved_entry=${prev_saved_entry}
  save_env saved_entry
  set prev_saved_entry=
  save_env prev_saved_entry
  set boot_once=true
fi

function savedefault {
  if [ -z ${boot_once} ]; then
    saved_entry=${chosen}
    save_env saved_entry
  fi
}
insmod ufs2
set root=(hd0,1)
search --no-floppy --fs-uuid --set 4b5ecc504157f023
if loadfont /usr/share/grub/unicode.pf2 ; then
  set gfxmode=640x480
  insmod gfxterm
  insmod vbe
  if terminal_output gfxterm ; then true ; else
    # For backward compatibility with versions of terminal.mod that don't
    # understand terminal_output
    terminal gfxterm
  fi
fi
insmod ufs2
set root=(hd0,1)
search --no-floppy --fs-uuid --set 4b5ecc504157f023
set locale_dir=($root)/boot/grub/locale
set lang=en
insmod gettext
set timeout=5
### END /etc/grub.d/00_header ###

### BEGIN /etc/grub.d/05_debian_theme ###
insmod ufs2
set root=(hd0,1)
search --no-floppy --fs-uuid --set 4b5ecc504157f023
insmod png
if background_image /usr/share/images/desktop-base/moreblue-orbit-grub.png ; then
  set color_normal=black/black
  set color_highlight=magenta/black
else
  set menu_color_normal=cyan/blue
  set menu_color_highlight=white/blue
fi
### END /etc/grub.d/05_debian_theme ###

### BEGIN /etc/grub.d/10_kfreebsd ###
menuentry "Debian GNU/kFreeBSD, with kFreeBSD 8.0-1-686" {
	insmod ufs2
	set root=(hd0,1)
	search --no-floppy --fs-uuid --set 4b5ecc504157f023
	echo			Loading kernel of FreeBSD 8.0-1-686 ...
	kfreebsd		/boot/kfreebsd-8.0-1-686.gz
	set kFreeBSD.vfs.root.mountfrom=ufs:/dev/ad0s1
	set kFreeBSD.vfs.root.mountfrom.options=rw
}
menuentry "Debian GNU/kFreeBSD, with kFreeBSD 7.2-1-686" {
	insmod ufs2
	set root=(hd0,1)
	search --no-floppy --fs-uuid --set 4b5ecc504157f023
	echo			Loading kernel of FreeBSD 7.2-1-686 ...
	kfreebsd		/boot/kfreebsd-7.2-1-686.gz
	kfreebsd_module_elf	/lib/modules/7.2-1-686/acpi.ko
	set kFreeBSD.vfs.root.mountfrom=ufs:/dev/ad0s1
	set kFreeBSD.vfs.root.mountfrom.options=rw
}
### END /etc/grub.d/10_kfreebsd ###

### BEGIN /etc/grub.d/30_os-prober ###
### END /etc/grub.d/30_os-prober ###

### BEGIN /etc/grub.d/40_custom ###
# This file provides an easy way to add custom menu entries.  Simply type the
# menu entries you want to add after this comment.  Be careful not to change
# the 'exec tail' line above.
### END /etc/grub.d/40_custom ###
*********************** END /boot/grub/grub.cfg

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: kfreebsd-i386 (i686)

Kernel: kFreeBSD 7.2-1-686
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages grub-pc depends on:
ii  debconf [debconf-2.0]    1.5.28          Debian configuration management sy
ii  grub-common              1.98~20100128-1 GRand Unified Bootloader, version 
ii  libc0.1                  2.10.2-2        GNU C Library: Shared libraries
ii  ucf                      3.0025          Update Configuration File: preserv

grub-pc recommends no packages.

Versions of packages grub-pc suggests:
ii  desktop-base                  5.0.5      common files for the Debian Deskto

-- debconf information:
  grub-pc/kopt_extracted: false
  grub2/kfreebsd_cmdline:
* grub-pc/install_devices: (hd0)
  grub-pc/postrm_purge_boot_grub: false
* grub2/linux_cmdline:
  grub2/kfreebsd_cmdline_default: quiet
* grub2/linux_cmdline_default: quiet
  grub-pc/chainload_from_menu.lst: true




Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#567953; Package grub-pc. (Sat, 24 Apr 2010 16:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vladimir 'φ-coder/phcoder' Serbinenko <phcoder@gmail.com>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Sat, 24 Apr 2010 16:18:03 GMT) Full text and rfc822 format available.

Message #10 received at 567953@bugs.debian.org (full text, mbox):

From: Vladimir 'φ-coder/phcoder' Serbinenko <phcoder@gmail.com>
To: 567953@bugs.debian.org
Subject: Re: ufs: Cannot find list of partitions!
Date: Sat, 24 Apr 2010 18:16:02 +0200
[Message part 1 (text/plain, inline)]
grep reveals no instances of this sentence at all in either grub-pc and
grub-common. Can you check that you local copy is correct and has no
special additional config files. Try purge+reinstall

-- 
Regards
Vladimir 'φ-coder/phcoder' Serbinenko


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#567953; Package grub-pc. (Sat, 06 Nov 2010 21:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Sat, 06 Nov 2010 21:42:03 GMT) Full text and rfc822 format available.

Message #15 received at 567953@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 567953@bugs.debian.org
Cc: Vladimir 'φ-coder/phcoder' Serbinenko <phcoder@gmail.com>, Alan BRASLAU <alan.braslau@cea.fr>
Subject: Re: ufs: Cannot find list of partitions!
Date: Sat, 6 Nov 2010 22:40:01 +0100
Vladimir wrote:
> grep reveals no instances of this sentence at all in either grub-pc and
> grub-common.

This smells like os-prober.  Alan, could you remove os-prober
package and then try again?

If the problem disappears, then this is a bug in os-prober and
should be reassigned.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#567953; Package grub-pc. (Sun, 07 Nov 2010 09:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alan BRASLAU <alan.braslau@cea.fr>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Sun, 07 Nov 2010 09:27:03 GMT) Full text and rfc822 format available.

Message #20 received at 567953@bugs.debian.org (full text, mbox):

From: Alan BRASLAU <alan.braslau@cea.fr>
To: Robert Millan <rmh@debian.org>
Cc: 567953@bugs.debian.org, "Vladimir 'φ-coder/phcoder' Serbinenko" <phcoder@gmail.com>
Subject: Re: ufs: Cannot find list of partitions!
Date: Sun, 7 Nov 2010 09:45:04 +0100
On Saturday 06 November 2010 22:40:01 Robert Millan wrote:
> Vladimir wrote:
> > grep reveals no instances of this sentence at all in either grub-pc and
> > grub-common.
> 
> This smells like os-prober.  Alan, could you remove os-prober
> package and then try again?
> 
> If the problem disappears, then this is a bug in os-prober and
> should be reassigned.

Indeed, removing os-prober eliminates the error message and the bug should be 
reassigned.

Alan




Bug reassigned from package 'grub-pc' to 'os-prober'. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sun, 07 Nov 2010 11:51:10 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions grub2/1.98~20100128-1. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sun, 07 Nov 2010 11:51:11 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Colin Watson <cjwatson@ubuntu.com> to control@bugs.debian.org. (Mon, 08 Nov 2010 18:30:11 GMT) Full text and rfc822 format available.

Reply sent to Colin Watson <cjwatson@debian.org>:
You have taken responsibility. (Wed, 10 Nov 2010 12:03:12 GMT) Full text and rfc822 format available.

Notification sent to Alan BRASLAU <alan.braslau@cea.fr>:
Bug acknowledged by developer. (Wed, 10 Nov 2010 12:03:12 GMT) Full text and rfc822 format available.

Message #31 received at 567953-close@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: 567953-close@bugs.debian.org
Subject: Bug#567953: fixed in os-prober 1.40
Date: Wed, 10 Nov 2010 12:02:06 +0000
Source: os-prober
Source-Version: 1.40

We believe that the bug you reported is fixed in the latest version of
os-prober, which is due to be installed in the Debian FTP archive:

os-prober-udeb_1.40_i386.udeb
  to main/o/os-prober/os-prober-udeb_1.40_i386.udeb
os-prober_1.40.dsc
  to main/o/os-prober/os-prober_1.40.dsc
os-prober_1.40.tar.gz
  to main/o/os-prober/os-prober_1.40.tar.gz
os-prober_1.40_i386.deb
  to main/o/os-prober/os-prober_1.40_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 567953@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Colin Watson <cjwatson@debian.org> (supplier of updated os-prober package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 10 Nov 2010 11:51:19 +0000
Source: os-prober
Binary: os-prober-udeb os-prober
Architecture: source i386
Version: 1.40
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Colin Watson <cjwatson@debian.org>
Description: 
 os-prober  - utility to detect other OSes on a set of drives
 os-prober-udeb - utility to detect other OSes on a set of drives (udeb)
Closes: 417407 556739 567953 589676 592924 599203
Changes: 
 os-prober (1.40) unstable; urgency=low
 .
   [ Christian Perrier ]
   * Fix Windows Vista and Windows Recovery Environment partitions
     recognition. (Thanks, Bouke Bunnik)
     Closes: #589676, LP: #476625
   * Allow recognition of recent MINIX installations.
     Thanks to Feiran Zheng
     Closes: #592924
 .
   [ Colin Watson ]
   * Improve error message when /sys/block is missing.
   * os-prober doesn't know how to probe other OSes on non-Linux kernels.
     For now, just exit quietly rather than confusing people (closes:
     #567953).
   * Ignore active swap partitions (thanks, Alex Owen; see #417407).
   * Refactor linux_mount_boot to look up labels and UUIDs using blkid or
     /dev/disk/by-*/ rather than relying on mount being smart enough.  This
     removes some horrible code that executes mount from /target.
   * Set partitions read-only before mounting them (based on a patch by Alex
     Owen; closes: #417407, #556739, #599203).
Checksums-Sha1: 
 045432945afe4bad0671e4ee5a98836e244271e5 1577 os-prober_1.40.dsc
 cdeca296318e51b37233d63424c9b262f41b2db0 23470 os-prober_1.40.tar.gz
 cd9b549f42ad7275579778a1709e93a2568b6904 13156 os-prober-udeb_1.40_i386.udeb
 42649ede8d363bf5c28a5f52febb04c4bd9e966d 23670 os-prober_1.40_i386.deb
Checksums-Sha256: 
 a29c19dd59e82f87d5f6063a0d9e1cc7926339bb0338f08b55c6a6dac625d77b 1577 os-prober_1.40.dsc
 fa4e6dc51521c0f60b5b8157a2bd42475473b958ea93725669a90e17b7cd6a70 23470 os-prober_1.40.tar.gz
 c6ae392745556a2bc8a2d474a83daacc07e3a9829fd3af9588bb9c9bac310b8b 13156 os-prober-udeb_1.40_i386.udeb
 84f4e5b291b94dba9f678fcd8881693a1848ab5ee4ac123c336ad95c2bb1e395 23670 os-prober_1.40_i386.deb
Files: 
 d7a7d3963331e103d9e1c36d65e6aa61 1577 debian-installer optional os-prober_1.40.dsc
 5f441d4962c2be2fa226cc44eee81ab9 23470 debian-installer optional os-prober_1.40.tar.gz
 37ff87a79839ae6cfa9d47bb0f98fd19 13156 debian-installer optional os-prober-udeb_1.40_i386.udeb
 4a82106efb183f2d8929a44bf62f77b2 23670 utils extra os-prober_1.40_i386.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Colin Watson <cjwatson@debian.org> -- Debian developer

iQIVAwUBTNqHqjk1h9l9hlALAQhcHg//U3DmQr6A1PHk8EaR1GUTkkQTcPJ0B/C1
mxi0c8nG3hTVNimmw6W03CWEKjZ6tRzAHxqN0am8LIl5M9BSMgO/tobGnYrNthre
ajr9pNLTrNUihWG7bfD8cra2FjdJAtCB2ZVwqqns8vTKwMEYEutHyTUBYMa8dUed
FKAA9aml86pwnA9Ek1kUtRCHdXlCAe62AMWhTxKCMh3GBY38cALT3xVYegcwrK4R
2sQcJIHpANzGFpNsj0bFJqlCOhxMQzVM3T7yL2+9eLFb4mm7jJdoWRtlhEXvW7Ph
gAnyX5oRIHHNI0W8NSQsSIw71E0+oK7bA420pLfJKrI7myyvlwiPopTljLU3ZHvB
CxkhvELgtv/fOTzaJCb4VsSvi2szS5esvMQD/1DZmeNFjamuybYvNdSdSQaCZtcr
Sb6YVKKM7VD1DrADMugKWaiwWKJvdkBqVuQDFFQr06tNLYMJMauyRZCfEugpxbj2
R22Dgs+A3ooFM7VWTNC/+o3JZjoqYiY6Guis/E1jwKpl4cRnA5uE6DkR+bw4VWUv
v0FiA97CbXULJZZrOKWQcOdXIpLvaLQSmowg4Iu2MaYKtrL5B3jVjo1EkloO3QuY
/i+t8LLL/tJP2YP4n6qz7/MI+JOgs029Sl3fHLLRdP8a/H2MixrXZEWa6qM4gZUQ
00CidGoFO8M=
=WA+X
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 18 Dec 2010 07:33:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:30:42 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.